Bug 678567 - VUL-0: wireshark: off-by-one in dissect_6lowpan_iphc
VUL-0: wireshark: off-by-one in dissect_6lowpan_iphc
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: General
unspecified
Other Other
: P5 - None : Normal
: ---
Assigned To: Chunyan Liu
Security Team bot
maint:released:sle11-sp1:39632 maint:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 15:48 UTC by Ludwig Nussel
Modified: 2011-04-14 06:36 UTC (History)
3 users (show)

See Also:
Found By: Other
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2011-03-10 15:48:51 UTC
Your friendly security team received the following report via mitre.
Please respond ASAP.
The issue is public.

-------8<-------
======================================================
Name: CVE-2011-1138
Off-by-one error in the dissect_6lowpan_iphc function in packet-6lowpan.c in Wireshark 1.4.0 through 1.4.3 on 32-bit platforms allows remote attackers to cause a denial of service (application crash) via a malformed 6LoWPAN IPv6 packet.

Reference: CONFIRM: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5722
Reference: CONFIRM: http://www.wireshark.org/docs/relnotes/wireshark-1.4.4.html
Reference: CONFIRM: http://anonsvn.wireshark.org/viewvc?view=rev&revision=36036
Reference: CONFIRM: http://www.wireshark.org/security/wnpa-sec-2011-04.html
Comment 1 Swamp Workflow Management 2011-03-14 15:50:30 UTC
The SWAMPID for this issue is 39360.
This issue was rated as low.
Please submit fixed packages until 2011-04-11.
When done, please reassign the bug to security-team@suse.de.
Patchinfo will be handled by security team.
Comment 2 Marcus Meissner 2011-04-06 14:32:48 UTC
please submit 1.4.4 to openSUSE 11.2, 11.3 and 11.4
Comment 3 Swamp Workflow Management 2011-04-06 17:34:53 UTC
Update released for: wireshark, wireshark-debuginfo, wireshark-debugsource, wireshark-devel
Products:
SLE-DEBUGINFO 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLE-DESKTOP 11-SP1 (i386, x86_64)
SLE-SDK 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLE-SERVER 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLES4VMWARE 11-SP1 (i386, x86_64)
Comment 4 Swamp Workflow Management 2011-04-06 17:55:25 UTC
Update released for: wireshark, wireshark-debuginfo, wireshark-devel
Products:
SLE-DESKTOP 10-SP3 (i386, x86_64)
SLE-SAP-APL 10-SP3 (x86_64)
SLE-SDK 10-SP3 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP3 (i386, ia64, ppc, s390x, x86_64)
Comment 5 Swamp Workflow Management 2011-04-06 18:14:36 UTC
Update released for: wireshark, wireshark-debuginfo, wireshark-devel
Products:
SLE-DESKTOP 10-SP4 (i386, x86_64)
SLE-SDK 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP4 (i386, ia64, ppc, s390x, x86_64)
Comment 6 Ruediger Oertel 2011-04-06 22:54:06 UTC
hi, I'm still missing the submitreqs for 11.2,11.3 and 11.4
Comment 7 Ruediger Oertel 2011-04-10 22:48:28 UTC
hi, what's the status with the 1.4.4 update for openSUSE
Factory does not have it yet either.

Pavol ?
Comment 9 Marcus Meissner 2011-04-11 11:11:37 UTC
is submitted.
Comment 10 Bernhard Wiedemann 2011-04-11 14:56:04 UTC
This bug (678567) was mentioned in
https://build.opensuse.org/request/show/66852
Comment 11 Swamp Workflow Management 2011-04-13 07:11:04 UTC
Update released for: wireshark, wireshark-debuginfo, wireshark-debugsource, wireshark-devel
Products:
openSUSE 11.2 (debug, i586, x86_64)
openSUSE 11.3 (debug, i586, x86_64)
openSUSE 11.4 (debug, i586, x86_64)
Comment 12 Sebastian Krahmer 2011-04-13 09:33:02 UTC
Box received updates too. Closing.